--	Player frame.
function wPlayerFrame(self)
		if ( cfg.whoaTexture == true) then
			path = "Interface\\Addons\\whoaUnitFrames\\media\\statusbar\\whoa";
			-- PlayerFrame.HealthBar:SetStatusBarTexture(path );
			self.healthbar:SetStatusBarTexture(path);
			self.healthbar.AnimatedLossBar:SetStatusBarTexture(path);
			PlayerFrameMyHealPredictionBar:SetTexture(path);
			PlayerFrameAlternateManaBar:SetStatusBarTexture(path);
		end
		--
		PlayerFrameTexture:SetTexture("Interface\\Addons\\whoaUnitFrames\\media\\UI-TargetingFrame");
		self.name:Hide();
		self.name:ClearAllPoints();
		self.name:SetPoint("CENTER", PlayerFrame, "CENTER",50.5, 36);
		self.healthbar:SetPoint("TOPLEFT",106,-24);
		self.healthbar:SetHeight(18);
		self.healthbar.LeftText:ClearAllPoints();
		self.healthbar.LeftText:SetPoint("LEFT",self.healthbar,"LEFT",5,0);	
		self.healthbar.RightText:ClearAllPoints();
		self.healthbar.RightText:SetPoint("RIGHT",self.healthbar,"RIGHT",-5,0);
		self.healthbar.TextString:SetPoint("CENTER", self.healthbar, "CENTER", 0, 0);
		self.manabar:SetPoint("TOPLEFT",106,-45);
		self.manabar:SetHeight(18);
		self.manabar.LeftText:ClearAllPoints();
		self.manabar.LeftText:SetPoint("LEFT",self.manabar,"LEFT",5,0)		;
		self.manabar.RightText:ClearAllPoints();
		self.manabar.RightText:SetPoint("RIGHT",self.manabar,"RIGHT",-5,0);
		self.manabar.TextString:SetPoint("CENTER",self.manabar,"CENTER",0,0);
		self.manabar.FullPowerFrame.SpikeFrame.AlertSpikeStay:ClearAllPoints();
		self.manabar.FullPowerFrame.SpikeFrame.AlertSpikeStay:SetPoint("CENTER", self.manabar.FullPowerFrame, "RIGHT", -6, -3);
		self.manabar.FullPowerFrame.SpikeFrame.AlertSpikeStay:SetSize(30,29);
		self.manabar.FullPowerFrame.PulseFrame:ClearAllPoints();
		self.manabar.FullPowerFrame.PulseFrame:SetPoint("CENTER", self.manabar.FullPowerFrame,"CENTER",-6,-2);
		self.manabar.FullPowerFrame.SpikeFrame.BigSpikeGlow:ClearAllPoints();
		self.manabar.FullPowerFrame.SpikeFrame.BigSpikeGlow:SetPoint("CENTER",self.manabar.FullPowerFrame,"RIGHT",5,-4);
		self.manabar.FullPowerFrame.SpikeFrame.BigSpikeGlow:SetSize(30,50);
		PlayerFrameGroupIndicatorText:ClearAllPoints();
		PlayerFrameGroupIndicatorText:SetPoint("BOTTOMLEFT", PlayerFrame,"TOP",0,-20);
		PlayerFrameGroupIndicatorLeft:Hide();
		PlayerFrameGroupIndicatorMiddle:Hide();
		PlayerFrameGroupIndicatorRight:Hide();
end
hooksecurefunc("PlayerFrame_ToPlayerArt", wPlayerFrame)

--	Player vehicle frame.
function whoaVehicleFrame(self, vehicleType)
		if ( vehicleType == "Natural" ) then
		PlayerFrameVehicleTexture:SetTexture("Interface\\Vehicles\\UI-Vehicle-Frame-Organic");
		PlayerFrameFlash:SetTexture("Interface\\Vehicles\\UI-Vehicle-Frame-Organic-Flash");
		PlayerFrameFlash:SetTexCoord(-0.02, 1, 0.07, 0.86);
		self.healthbar:SetSize(103,12);
		self.healthbar:SetPoint("TOPLEFT",116,-41);
		self.manabar:SetSize(103,12);
		self.manabar:SetPoint("TOPLEFT",116,-52);
	else
		PlayerFrameVehicleTexture:SetTexture("Interface\\Vehicles\\UI-Vehicle-Frame");
		PlayerFrameFlash:SetTexture("Interface\\Vehicles\\UI-Vehicle-Frame-Flash");
		PlayerFrameFlash:SetTexCoord(-0.02, 1, 0.07, 0.86);
		self.healthbar:SetSize(100,12);
		self.healthbar:SetPoint("TOPLEFT",119,-41);
		self.manabar:SetSize(100,12);
		self.manabar:SetPoint("TOPLEFT",119,-52);
	end
	PlayerName:SetPoint("CENTER",50,23);
	PlayerFrameBackground:SetWidth(114);
end
hooksecurefunc("PlayerFrame_ToVehicleArt", whoaVehicleFrame)

--	Player frame dead text.
hooksecurefunc("TextStatusBar_UpdateTextStringWithValues",function(self)
	local deadText = DEAD;
	local ghostText = "Ghost";
	
	if UnitIsDead("player") or UnitIsGhost("player") then
		PlayerFrameHealthBarText:SetFontObject(GameFontNormalSmall);
		for i, v in pairs({	PlayerFrameHealthBar.LeftText, PlayerFrameHealthBar.RightText, PlayerFrameManaBar.LeftText, PlayerFrameManaBar.RightText, PlayerFrameTextureFrameManaBarText, PlayerFrameManaBar }) do v:SetAlpha(0); end
		if GetCVar("statusTextDisplay")=="BOTH" then
			PlayerFrameHealthBarText:Show();
		end
		if UnitIsDead("player") then
			PlayerFrameHealthBarText:SetText(deadText);
		elseif UnitIsGhost("player") then
			PlayerFrameHealthBarText:SetText(ghostText);
		end
	elseif not UnitIsDead("player") and not UnitIsGhost("player") then
		PlayerFrameHealthBarText:SetFontObject(TextStatusBarText);
		for i, v in pairs({	PlayerFrameHealthBar.LeftText, PlayerFrameHealthBar.RightText, PlayerFrameManaBar.LeftText, PlayerFrameManaBar.RightText, PlayerFrameTextureFrameManaBarText, PlayerFrameManaBar }) do v:SetAlpha(1); end
	end
	
--	Target frame ghost text.
	if UnitExists("target") and UnitIsDead("target") or UnitIsGhost("target") then
		TargetFrameTextureFrameHealthBarText:SetFontObject(GameFontNormalSmall);
		if GetCVar("statusTextDisplay")=="BOTH" then
			TargetFrameTextureFrameHealthBarText:Show();
		end
		for i, v in pairs({	TargetFrameHealthBar.LeftText, TargetFrameHealthBar.RightText, TargetFrameManaBar.LeftText, TargetFrameManaBar.RightText, TargetFrameTextureFrameManaBarText, TargetFrameManaBar }) do v:SetAlpha(0); end
		if UnitIsGhost("target") then
			TargetFrameTextureFrameHealthBarText:SetText(ghostText);
		end
	elseif not UnitIsDead("target") and not UnitIsGhost("target") then
		TargetFrameTextureFrameHealthBarText:SetFontObject(TextStatusBarText);
		for i, v in pairs({	TargetFrameHealthBar.LeftText, TargetFrameHealthBar.RightText, TargetFrameManaBar.LeftText, TargetFrameManaBar.RightText, TargetFrameTextureFrameManaBarText, TargetFrameManaBar }) do v:SetAlpha(1); end
	end
	
--	Focus frame ghost text.
	if UnitExists("focus") and UnitIsDead("focus") or UnitIsGhost("focus") then
		FocusFrameTextureFrameHealthBarText:SetFontObject(GameFontNormalSmall);
		if GetCVar("statusTextDisplay")=="BOTH" then
			FocusFrameTextureFrameHealthBarText:Show();
		end
		for i, v in pairs({	FocusFrameHealthBar.LeftText, FocusFrameHealthBar.RightText, FocusFrameManaBar.LeftText, FocusFrameManaBar.RightText, FocusFrameTextureFrameManaBarText, FocusFrameManaBar }) do v:SetAlpha(0); end
		if UnitIsGhost("focus") then
			FocusFrameTextureFrameHealthBarText:SetText(ghostText);
		end
	elseif not UnitIsDead("focus") and not UnitIsGhost("focus") then
		FocusFrameTextureFrameHealthBarText:SetFontObject(TextStatusBarText);
		for i, v in pairs({	FocusFrameHealthBar.LeftText, FocusFrameHealthBar.RightText, FocusFrameManaBar.LeftText, FocusFrameManaBar.RightText, FocusFrameTextureFrameManaBarText, FocusFrameManaBar }) do v:SetAlpha(1); end
	end
end)

function whoaManaTexture (manaBar)
	if ( not manaBar ) then
		return;
	end
	local unitFrame = manaBar:GetParent();
	local powerType, powerToken, altR, altG, altB = UnitPowerType(manaBar.unit);
	local prefix = _G[powerToken];
	local info = PowerBarColor[powerToken];
	if ( info ) then
		if ( not manaBar.lockColor ) then
			local playerDeadOrGhost = (manaBar.unit == "player" and (UnitIsDead("player") or UnitIsGhost("player")));
			if not ( info.atlas ) then
				manaBar:SetStatusBarTexture(path);
			end
		end
	end
end
hooksecurefunc("UnitFrameManaBar_UpdateType", whoaManaTexture)